Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model
Interface OWLClass

All Superinterfaces:
  Cloneable, OWLDeprecatableObject, OWLDescription, OWLEntity, OWLNamedObject, OWLObject, OWLOntologyObject, Serializable

All Known Implementing Classes:
  OWLClassImpl

public interface OWLClass
extends OWLDescription, OWLEntity, OWLDeprecatableObject

An OWL Class represents a named class within an ontology. If "anonymous" classes are used within descriptions, then the appropriate description should be used. A Class may have a number of definitions associated with it. Each definition will be within the context of a particular ontology.

Version:
  $Id: OWLClass.java,v 1.2 2003/12/02 10:01:11 sean_bechhofer Exp $

Method Summary
`Set` | `getEnumerations(OWLOntology o)` Returns the enumerations that have been asserted as being equivalent to this class in the given ontology.
`Set` | `getEnumerations(Set ontologies)` Returns the enumerations that have been asserted as being equivalent to this class in any of the given ontologies.
`Set` | `getEquivalentClasses(OWLOntology o)` Returns equivalent classes to this class in the given ontology.
`Set` | `getEquivalentClasses(Set ontologies)` Returns equivalent classes to this class in any of the given ontologies.
`Set` | `getSuperClasses(OWLOntology o)` Returns the explicit superclasses of this class in the given ontology.
`Set` | `getSuperClasses(Set ontologies)` Returns the explicit superclasses of this class in any of the given ontologies.

Methods inherited from interface org.semanticweb.owl.model.OWLDescription
`accept`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from interface org.semanticweb.owl.model.OWLEntity
`accept`

Methods inherited from interface org.semanticweb.owl.model.OWLNamedObject
`getURI`

Methods inherited from interface org.semanticweb.owl.model.OWLOntologyObject
`getOntologies`

Methods inherited from interface org.semanticweb.owl.model.OWLDeprecatableObject
`isDeprecated`

Method Detail

### getSuperClasses

    public Set getSuperClasses(OWLOntology o)
                        throws OWLException

  Returns the explicit superclasses of this class in the given ontology. Returns a collection of `OWLDescription`s. Each description in this list provides necessary conditions for class membership.

    `OWLException`

### getSuperClasses

    public Set getSuperClasses(Set ontologies)
                        throws OWLException

  Returns the explicit superclasses of this class in any of the given ontologies. Each description in this list provides necessary conditions for class membership.

    `OWLException`

### getEquivalentClasses

    public Set getEquivalentClasses(OWLOntology o)
                             throws OWLException

  Returns equivalent classes to this class in the given ontology. Returns a collection of `OWLFrame`s. Each frame in the list provides necessary and sufficient conditions for the class. There may be several equivalences in which case all are deemed to be equivalent.

    `OWLException`

### getEquivalentClasses

    public Set getEquivalentClasses(Set ontologies)
                             throws OWLException

  Returns equivalent classes to this class in any of the given ontologies. Each description in the list provides necessary and sufficient conditions for the class. There may be several equivalences in which case all are deemed to be equivalent.

    `OWLException`

### getEnumerations

    public Set getEnumerations(Set ontologies)
                        throws OWLException

  Returns the enumerations that have been asserted as being equivalent to this class in any of the given ontologies. Each Enumeration in the collection provides an enumeration of all the individuals in the class. Note that if this collection contains more than one enumeration, then implicit equivalances between individuals may be being asserted.

    `OWLException`

### getEnumerations

    public Set getEnumerations(OWLOntology o)
                        throws OWLException

  Returns the enumerations that have been asserted as being equivalent to this class in the given ontology. Each Enumeration in the collection provides an enumeration of all the individuals in the class. Note that if this collection contains more than one enumeration, then implicit equivalances between individuals may be being asserted.

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb